Bug 30468 - add_fstab_entry: ignore loop* and ram* devices
add_fstab_entry: ignore loop* and ram* devices
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Client management
unspecified
Other Linux
: P5 normal
: UCC 1.0-errata
Assigned To: Felix Botner
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-15 13:54 CET by Felix Botner
Modified: 2013-04-24 17:26 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2013-02-15 13:54:19 CET
When booting a client add_fstab_entry is called about 25 times with ram* and loop* devices.

This leads to 25 times 

eval "$(univention-config-registry shell)"
if ! is_ucr_true 'ucc/mount'; then

which leads to a very high system load.

We can easly ignore ram* and loop* devices in add_fstab_entry before "ucr shell".
Comment 1 Felix Botner univentionstaff 2013-04-03 10:23:31 CEST
added a test to ignore ram* and loop* devices in add_fstab_entry, but usb stick's should still be mounted

2013-04-02-univention-ucc-remote-mount.yaml
Comment 2 Erik Damrose univentionstaff 2013-04-09 16:19:06 CEST
ram and loop devices are ignored in add_fstab_entry: OK
USB Sticks still mountable on thin- and desktop-image: OK
YAML: OK

-> Verified
Comment 3 Janek Walkenhorst univentionstaff 2013-04-24 17:26:24 CEST
http://errata.univention.de/ucc/1.0/4.html